{% extends "base.html" %}

{% block title %}Colorboard{% endblock %}

{% block content %}
<div class="container">
    <div class="row justify-content-center">
        <div class="col-6">
            <h1 class="text-center p-3">Colorboard Game</h1>
            {% if result %}
                <div class="alert alert-success" role="alert">
                        {{ result }}
                    </div>
            {% endif %}

            <form class="pt-3" action="" method="post">
                <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                {% for field in form %}
                    <div class="form-group row">

                        <label class="col-sm-4 col-form-label">{{ field.label }}</label>
                        <div class="col-sm-8">
                            {{ field }}
                            {% if field.errors %}
                                <div class="text-danger bg-warning p-1 pt-3 pr-3 mb-2 mt-2">
                                    {{ field.errors }}
                                </div>
                            {% endif %}
                        </div>

                    </div>
                {% endfor %}
                <input type="submit" value="Submit" class="btn btn-primary" style="margin:1%">
            </form>
        </div>
    </div>
</div>
{% endblock content %}
